package routers

import (
	"ColdVerify_local/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	// 提取数据
	beego.Router("/TaskData/TaskDataClass_List", &controllers.TaskDataController{}, "*:TaskDataClass_List")
	beego.Router("/TaskData/TaskDataClass_Edit", &controllers.TaskDataController{}, "*:TaskDataClass_Edit")
	beego.Router("/TaskData/TaskDataClass_Del", &controllers.TaskDataController{}, "*:TaskDataClass_Del")
	beego.Router("/TaskData/List", &controllers.TaskDataController{}, "*:TaskData_List")
	beego.Router("/TaskData/Temperature_Pdf", &controllers.TaskDataController{}, "*:TaskData_Temperature_Pdf")
	beego.Router("/TaskData/Humidity_Pdf", &controllers.TaskDataController{}, "*:TaskData_Humidity_Pdf")
	beego.Router("/TaskData/Add", &controllers.TaskDataController{}, "*:TaskData_Add")               //
	beego.Router("/TaskData/AddS", &controllers.TaskDataController{}, "*:TaskData_AddS")             //
	beego.Router("/TaskData/Up", &controllers.TaskDataController{}, "*:TaskData_Up")                 //
	beego.Router("/TaskData/Del", &controllers.TaskDataController{}, "*:TaskData_Del")               //
	beego.Router("/TaskData/DelTid", &controllers.TaskDataController{}, "*:TaskData_Del_t_id")       //
	beego.Router("/TaskData/AddS_Excel", &controllers.TaskDataController{}, "*:TaskData_AddS_Excel") //

	beego.Router("/TaskData/Export_Data_Excel", &controllers.TaskDataController{}, "*:Export_Data_Excel") // 设置 设备参数

	// 数据校验
	//beego.Router("/TaskData/Check", &controllers.TaskDataController{}, "*:Check") // 设置 设备参数
	beego.Router("/TaskData/Check", &controllers.TaskDataController{}, "*:Check_Asyn") // 设置 设备参数

	beego.Router("/TaskData/Import_TaskData", &controllers.TaskDataController{}, "*:TaskData_Import_TaskData") // 打包本地数据
	beego.Router("/TaskData/Import_TaskData_SN", &controllers.TaskDataController{}, "*:Import_TaskData_SN")    // 重置 SN数据
	beego.Router("/TaskData/Up_TaskData", &controllers.TaskDataController{}, "*:TaskData_Up_TaskData_Back")    // 更新线上数据
	//beego.Router("/TaskData/Up_TaskData_Back", &controllers.TaskDataController{}, "*:TaskData_Up_TaskData_Back") // 更新线上数据

	beego.Router("/TaskDataCopy/List", &controllers.TaskDataController{}, "*:TaskDataCopy_List")       // 数据存档列表
	beego.Router("/TaskDataCopy/Add", &controllers.TaskDataController{}, "*:TaskDataCopy_Add")         // 添加数据存档
	beego.Router("/TaskDataCopy/Edit", &controllers.TaskDataController{}, "*:TaskDataCopy_Edit")       // 添加数据存档
	beego.Router("/TaskDataCopy/Del", &controllers.TaskDataController{}, "*:TaskDataCopy_Del")         // 删除数据存档
	beego.Router("/TaskDataCopy/Recover", &controllers.TaskDataController{}, "*:TaskDataCopy_Recover") // 数据存档恢复

	beego.Router("/TaskData/jpg", &controllers.TaskDataController{}, "*:TaskData_JPG")            // 任务生成图片
	beego.Router("/TaskData/JPG/State", &controllers.TaskDataController{}, "*:TaskData_JPGState") // 任务 图片生成状态
	beego.Router("/Certificate/List", &controllers.TaskDataController{}, "*:Certificate_List")    // 设计编辑 添加终端列表

	// 数据处理
	beego.Router("/TaskData/CopyFromPosition", &controllers.TaskDataController{}, "*:CopyFromPosition")                   // 数据复制
	beego.Router("/TaskData/RepairSensorData", &controllers.TaskDataController{}, "*:RepairSensorData")                   // 数据补漏
	beego.Router("/TaskData/DataSensorDataTrend", &controllers.TaskDataController{}, "*:DataSensorDataTrend")             // 数据趋势
	beego.Router("/TaskData/UpdateRand", &controllers.TaskDataController{}, "*:UpdateRand")                               // 数据随机
	beego.Router("/TaskData/UpdateFix", &controllers.TaskDataController{}, "*:UpdateFix")                                 // 更新固定值
	beego.Router("/TaskData/DataSensorDataSmooth", &controllers.TaskDataController{}, "*:DataSensorDataSmooth")           // 数据平滑
	beego.Router("/TaskData/CopyFromPositionAverageSN", &controllers.TaskDataController{}, "*:CopyFromPositionAverageSN") // 平均复制到
	beego.Router("/TaskData/CopyTaskDataSN", &controllers.TaskDataController{}, "*:CopyTaskDataSN")                       // 复制任务 数据到
	beego.Router("/TaskData/CopyFromPositionSN", &controllers.TaskDataController{}, "*:CopyFromPositionSN")               // 增加复制到某测点
	beego.Router("/TaskData/DataSkewingInterval", &controllers.TaskDataController{}, "*:DataSkewingInterval")             // 数据偏移到给定区间内
	beego.Router("/TaskData/DataGeometricScale", &controllers.TaskDataController{}, "*:DataGeometricScale")               // 数据等比咧缩放
	beego.Router("/TaskData/DataRemoveDuplicates", &controllers.TaskDataController{}, "*:DataRemoveDuplicates")           // 数据去重
	beego.Router("/TaskData/DataBatchDelete", &controllers.TaskDataController{}, "*:DataBatchDelete")                     // 批量删除

	beego.Router("/TaskData/SSE_Automatically_add_missing_terminal", &controllers.TaskDataHandleController{}, "*:SSE_Automatically_add_missing_terminal")                           // 自动添加缺失终端，取关联绑定终端平均复制
	beego.Router("/TaskData/SSE_Automatically_add_missing_data", &controllers.TaskDataHandleController{}, "*:SSE_Automatically_add_missing_data")                                   // 自动添加缺失终端，取关联绑定终端平均复制
	beego.Router("/TaskData/SSE_Continuously_unchanged_data", &controllers.TaskDataHandleController{}, "*:SSE_Continuously_unchanged_data")                                         // 数据持续时间       分钟 没有变化
	beego.Router("/TaskData/SSE_Interval_data_correction", &controllers.TaskDataHandleController{}, "*:SSE_Interval_data_correction")                                               // 区间数据校正  （布点区域数据自检）
	beego.Router("/TaskData/SSE_Comparison_between_binding_points_and_terminals", &controllers.TaskDataHandleController{}, "*:SSE_Comparison_between_binding_points_and_terminals") // 绑定点与终端比对  （绑定点数据自检）
	beego.Router("/TaskData/SSE_Compare_binding_points_with_cold_and_hot_spots", &controllers.TaskDataHandleController{}, "*:SSE_Compare_binding_points_with_cold_and_hot_spots")   // 绑定点与冷热点比对  （冷热点数据自检）
	beego.Router("/TaskData/SSE_Compare_binding_points_with_Average", &controllers.TaskDataHandleController{}, "*:SSE_Compare_binding_points_with_Average")                         // 绑定点与冷热点比对  （冷热点数据自检）

	// 自动处理
	beego.Router("/TaskDataContent/ListJson", &controllers.TaskDataController{}, "*:ListJson") // 根据id删除任务数据
	beego.Router("/TaskDataContent/SSE_冷藏柜内部最高温", &controllers.TaskDataController{}, "*:A冷藏柜内部最高温")
	beego.Router("/TaskDataContent/SSE_冷藏柜内部最低温", &controllers.TaskDataController{}, "*:A冷藏柜内部最低温")
	beego.Router("/TaskDataContent/SSE_柜内所有测点", &controllers.TaskDataController{}, "*:A柜内所有测点")
	beego.Router("/TaskDataContent/SSE_均匀性布点", &controllers.TaskDataController{}, "*:A均匀性布点")
	beego.Router("/TaskDataContent/SSE_产品存放区域测点", &controllers.TaskDataController{}, "*:A产品存放区域测点")
	beego.Router("/TaskDataContent/SSE_外部环境分割线最高温", &controllers.TaskDataController{}, "*:A外部环境分割线最高温")
	beego.Router("/TaskDataContent/SSE_外部环境分割线最低温", &controllers.TaskDataController{}, "*:A外部环境分割线最低温")
	beego.Router("/TaskDataContent/SSE_冷藏柜外部环境测点最高温", &controllers.TaskDataController{}, "*:A冷藏柜外部环境测点最高温")
	beego.Router("/TaskDataContent/SSE_冷藏柜外部环境测点最低温", &controllers.TaskDataController{}, "*:A冷藏柜外部环境测点最低温")
	beego.Router("/TaskDataContent/SSE_内部环境分割线最低温", &controllers.TaskDataController{}, "*:A内部环境分割线最低温")
	beego.Router("/TaskDataContent/SSE_内部环境分割线最高温", &controllers.TaskDataController{}, "*:A内部环境分割线最高温")
	beego.Router("/TaskDataContent/SSE_冰排释冷开始时间", &controllers.TaskDataController{}, "*:A冰排释冷开始时间")
	beego.Router("/TaskDataContent/SSE_冰排释冷结束时间", &controllers.TaskDataController{}, "*:A冰排释冷结束时间")
	beego.Router("/TaskDataContent/SSE_冰排释冷分割线最高温", &controllers.TaskDataController{}, "*:A冰排释冷分割线最高温")
	beego.Router("/TaskDataContent/SSE_冰排释冷分割线最低温", &controllers.TaskDataController{}, "*:A冰排释冷分割线最低温")
	beego.Router("/TaskDataContent/SSE_静态第一次开箱注释", &controllers.TaskDataController{}, "*:A静态第一次开箱注释")
	beego.Router("/TaskDataContent/SSE_静态第二次开箱注释", &controllers.TaskDataController{}, "*:A静态第二次开箱注释")
	beego.Router("/TaskDataContent/SSE_静态第三次开箱注释", &controllers.TaskDataController{}, "*:A静态第三次开箱注释")
	beego.Router("/TaskDataContent/SSE_动态第一次开箱注释", &controllers.TaskDataController{}, "*:A动态第一次开箱注释")
	beego.Router("/TaskDataContent/SSE_动态第二次开箱注释", &controllers.TaskDataController{}, "*:A动态第二次开箱注释")
	beego.Router("/TaskDataContent/SSE_动态第三次开箱注释", &controllers.TaskDataController{}, "*:A动态第三次开箱注释")
	beego.Router("/TaskDataContent/SSE_第一次开箱注释", &controllers.TaskDataController{}, "*:A第一次开箱注释")
	beego.Router("/TaskDataContent/SSE_第二次开箱注释", &controllers.TaskDataController{}, "*:A第二次开箱注释")
	beego.Router("/TaskDataContent/SSE_第三次开箱注释", &controllers.TaskDataController{}, "*:A第三次开箱注释")
	beego.Router("/TaskDataContent/SSE_保温箱温度设定值", &controllers.TaskDataController{}, "*:A保温箱温度设定值")
	beego.Router("/TaskDataContent/SSE_风机温度设定值", &controllers.TaskDataController{}, "*:A风机温度设定值")
	beego.Router("/TaskDataContent/SSE_保温箱准备开始时间", &controllers.TaskDataController{}, "*:A保温箱准备开始时间")
	beego.Router("/TaskDataContent/SSE_冰排预冷保温箱准备结束时间", &controllers.TaskDataController{}, "*:A冰排预冷保温箱准备结束时间")
	beego.Router("/TaskDataContent/SSE_温度自动监测设备放置位置开始时间", &controllers.TaskDataController{}, "*:A温度自动监测设备放置位置开始时间")
	beego.Router("/TaskDataContent/SSE_温度自动监测设备放置位置结束时间", &controllers.TaskDataController{}, "*:A温度自动监测设备放置位置结束时间")
	beego.Router("/TaskDataContent/SSE_温度分布特性开始时间", &controllers.TaskDataController{}, "*:A温度分布特性开始时间")
	beego.Router("/TaskDataContent/SSE_温度分布特性结束时间", &controllers.TaskDataController{}, "*:A温度分布特性结束时间")
	beego.Router("/TaskDataContent/SSE_最长保温时限开始时间", &controllers.TaskDataController{}, "*:A最长保温时限开始时间")
	beego.Router("/TaskDataContent/SSE_最长保温时限结束时间", &controllers.TaskDataController{}, "*:A最长保温时限结束时间")
	beego.Router("/TaskDataContent/SSE_温度分布特性的测试与分析满载开始时间", &controllers.TaskDataController{}, "*:A温度分布特性的测试与分析满载开始时间")
	beego.Router("/TaskDataContent/SSE_温度分布特性的测试与分析空载开始时间", &controllers.TaskDataController{}, "*:A温度分布特性的测试与分析空载开始时间")
	beego.Router("/TaskDataContent/SSE_温度分布特性的测试与分析满载结束时间", &controllers.TaskDataController{}, "*:A温度分布特性的测试与分析满载结束时间")
	beego.Router("/TaskDataContent/SSE_温度分布特性的测试与分析空载结束时间", &controllers.TaskDataController{}, "*:A温度分布特性的测试与分析空载结束时间")
	beego.Router("/TaskDataContent/SSE_温控设备运行参数及使用状况测试满载开始时间", &controllers.TaskDataController{}, "*:A温控设备运行参数及使用状况测试满载开始时间")
	beego.Router("/TaskDataContent/SSE_温控设备运行参数及使用状况测试空载开始时间", &controllers.TaskDataController{}, "*:A温控设备运行参数及使用状况测试空载开始时间")
	beego.Router("/TaskDataContent/SSE_温控设备运行参数及使用状况测试满载结束时间", &controllers.TaskDataController{}, "*:A温控设备运行参数及使用状况测试满载结束时间")
	beego.Router("/TaskDataContent/SSE_温控设备运行参数及使用状况测试空载结束时间", &controllers.TaskDataController{}, "*:A温控设备运行参数及使用状况测试空载结束时间")
	beego.Router("/TaskDataContent/SSE_满载温度偏差均匀度波动度分析时间区间", &controllers.TaskDataController{}, "*:A满载温度偏差均匀度波动度分析时间区间")
	beego.Router("/TaskDataContent/SSE_空载温度偏差均匀度波动度分析时间区间", &controllers.TaskDataController{}, "*:A空载温度偏差均匀度波动度分析时间区间")
	beego.Router("/TaskDataContent/SSE_运行确认及偏差处理满载开始时间", &controllers.TaskDataController{}, "*:A运行确认及偏差处理满载开始时间")
	beego.Router("/TaskDataContent/SSE_运行确认及偏差处理空载开始时间", &controllers.TaskDataController{}, "*:A运行确认及偏差处理空载开始时间")
	beego.Router("/TaskDataContent/SSE_运行确认及偏差处理满载结束时间", &controllers.TaskDataController{}, "*:A运行确认及偏差处理满载结束时间")
	beego.Router("/TaskDataContent/SSE_运行确认及偏差处理空载结束时间", &controllers.TaskDataController{}, "*:A运行确认及偏差处理空载结束时间")
	beego.Router("/TaskDataContent/SSE_满载风机启动时间点注释", &controllers.TaskDataController{}, "*:A满载风机启动时间点注释")
	beego.Router("/TaskDataContent/SSE_满载风机停止时间点注释", &controllers.TaskDataController{}, "*:A满载风机停止时间点注释")
	beego.Router("/TaskDataContent/SSE_满载测试结束风机停止时间注释", &controllers.TaskDataController{}, "*:A满载测试结束风机停止时间注释")
	beego.Router("/TaskDataContent/SSE_空载风机启动时间点注释", &controllers.TaskDataController{}, "*:A空载风机启动时间点注释")
	beego.Router("/TaskDataContent/SSE_空载风机停止时间点注释", &controllers.TaskDataController{}, "*:A空载风机停止时间点注释")
	beego.Router("/TaskDataContent/SSE_空载测试结束风机停止时间注释", &controllers.TaskDataController{}, "*:A空载测试结束风机停止时间注释")
	beego.Router("/TaskDataContent/SSE_第一次开门开始时间", &controllers.TaskDataController{}, "*:A第一次开门开始时间")
	beego.Router("/TaskDataContent/SSE_第一次开门结束时间", &controllers.TaskDataController{}, "*:A第一次开门结束时间")
	beego.Router("/TaskDataContent/SSE_满载风机启动时间点", &controllers.TaskDataController{}, "*:A满载风机启动时间点")
	beego.Router("/TaskDataContent/SSE_空载风机启动时间点", &controllers.TaskDataController{}, "*:A空载风机启动时间点")
	beego.Router("/TaskDataContent/SSE_满载风机停止时间点", &controllers.TaskDataController{}, "*:A满载风机停止时间点")
	beego.Router("/TaskDataContent/SSE_空载风机停止时间点", &controllers.TaskDataController{}, "*:A空载风机停止时间点")
	beego.Router("/TaskDataContent/SSE_满载测试结束风机停止时间", &controllers.TaskDataController{}, "*:A满载测试结束风机停止时间")
	beego.Router("/TaskDataContent/SSE_空载测试结束风机停止时间", &controllers.TaskDataController{}, "*:A空载测试结束风机停止时间")
	beego.Router("/TaskDataContent/SSE_满载第一次关门温度恢复时间", &controllers.TaskDataController{}, "*:A满载第一次关门温度恢复时间")
	beego.Router("/TaskDataContent/SSE_空载第一次关门温度恢复时间", &controllers.TaskDataController{}, "*:A空载第一次关门温度恢复时间")
	beego.Router("/TaskDataContent/SSE_满载第二次关门温度恢复时间", &controllers.TaskDataController{}, "*:A满载第二次关门温度恢复时间")
	beego.Router("/TaskDataContent/SSE_空载第二次关门温度恢复时间", &controllers.TaskDataController{}, "*:A空载第二次关门温度恢复时间")
	beego.Router("/TaskDataContent/SSE_满载第三次关门温度恢复时间", &controllers.TaskDataController{}, "*:A满载第三次关门温度恢复时间")
	beego.Router("/TaskDataContent/SSE_空载第三次关门温度恢复时间", &controllers.TaskDataController{}, "*:A空载第三次关门温度恢复时间")
	beego.Router("/TaskDataContent/SSE_满载开门最长需要多少分钟恢复", &controllers.TaskDataController{}, "*:A满载开门最长需要多少分钟恢复")
	beego.Router("/TaskDataContent/SSE_空载开门最长需要多少分钟恢复", &controllers.TaskDataController{}, "*:A空载开门最长需要多少分钟恢复")
	beego.Router("/TaskDataContent/SSE_冷藏库作业口外部环境分割线最低温", &controllers.TaskDataController{}, "*:A冷藏库作业口外部环境分割线最低温")
	beego.Router("/TaskDataContent/SSE_冷藏库作业口外部环境分割线最高温", &controllers.TaskDataController{}, "*:A冷藏库作业口外部环境分割线最高温")
	beego.Router("/TaskDataContent/SSE_冷藏库外部环境测点最高温", &controllers.TaskDataController{}, "*:A冷藏库外部环境测点最高温")
	beego.Router("/TaskDataContent/SSE_冷藏库外部环境测点最低温", &controllers.TaskDataController{}, "*:A冷藏库外部环境测点最低温")
	beego.Router("/TaskDataContent/SSE_冷藏库内部最高温", &controllers.TaskDataController{}, "*:A冷藏库内部最高温")
	beego.Router("/TaskDataContent/SSE_冷藏库内部最低温", &controllers.TaskDataController{}, "*:A冷藏库内部最低温")
	beego.Router("/TaskDataContent/SSE_冷藏车外部环境测点最高温", &controllers.TaskDataController{}, "*:A冷藏车外部环境测点最高温")
	beego.Router("/TaskDataContent/SSE_冷藏车外部环境测点最低温", &controllers.TaskDataController{}, "*:A冷藏车外部环境测点最低温")
	beego.Router("/TaskDataContent/SSE_冷藏车内部最高温", &controllers.TaskDataController{}, "*:A冷藏车内部最高温")
	beego.Router("/TaskDataContent/SSE_冷藏车内部最低温", &controllers.TaskDataController{}, "*:A冷藏车内部最低温")
	beego.Router("/TaskDataContent/SSE_验证测试期间当地天气情况曲线图", &controllers.TaskDataController{}, "*:A验证测试期间当地天气情况曲线图")
	beego.Router("/TaskDataContent/SSE_当地历史气温数据查询曲线图", &controllers.TaskDataController{}, "*:A当地历史气温数据查询曲线图")
	beego.Router("/TaskDataContent/SSE_报告编号", &controllers.TaskDataController{}, "*:A报告编号")
	beego.Router("/TaskDataContent/SSE_数据分析时间", &controllers.TaskDataController{}, "*:A数据分析时间")
	beego.Router("/TaskDataContent/SSE_实施计划月份", &controllers.TaskDataController{}, "*:A实施计划月份")
	beego.Router("/TaskDataContent/SSE_计划验证实施时间", &controllers.TaskDataController{}, "*:A计划验证实施时间")
	beego.Router("/TaskDataContent/SSE_监测终端01", &controllers.TaskDataController{}, "*:A监测终端01")
	beego.Router("/TaskDataContent/SSE_监测终端安装编号01", &controllers.TaskDataController{}, "*:A监测终端安装编号01")
	beego.Router("/TaskDataContent/SSE_监测终端02", &controllers.TaskDataController{}, "*:A监测终端02")
	beego.Router("/TaskDataContent/SSE_监测终端安装编号02", &controllers.TaskDataController{}, "*:A监测终端安装编号02")
	beego.Router("/TaskDataContent/SSE_监测系统配置的测点终端参数及安装位置确认满载开始时间", &controllers.TaskDataController{}, "*:A监测系统配置的测点终端参数及安装位置确认满载开始时间")
	beego.Router("/TaskDataContent/SSE_监测系统配置的测点终端参数及安装位置确认满载结束时间", &controllers.TaskDataController{}, "*:A监测系统配置的测点终端参数及安装位置确认满载结束时间")
	beego.Router("/TaskDataContent/SSE_监测系统配置的测点终端参数及安装位置确认空载开始时间", &controllers.TaskDataController{}, "*:A监测系统配置的测点终端参数及安装位置确认空载开始时间")
	beego.Router("/TaskDataContent/SSE_监测系统配置的测点终端参数及安装位置确认空载结束时间", &controllers.TaskDataController{}, "*:A监测系统配置的测点终端参数及安装位置确认空载结束时间")
	beego.Router("/TaskDataContent/SSE_培训讲师", &controllers.TaskDataController{}, "*:A培训讲师")
	beego.Router("/TaskDataContent/SSE_培训时间", &controllers.TaskDataController{}, "*:A培训时间")
	beego.Router("/TaskDataContent/SSE_作业出入口总测点", &controllers.TaskDataController{}, "*:A作业出入口总测点")
	beego.Router("/TaskDataContent/SSE_风机布点总测点", &controllers.TaskDataController{}, "*:A风机布点总测点")
	beego.Router("/TaskDataContent/SSE_库内除风机出风口回风口外总测点", &controllers.TaskDataController{}, "*:A库内除风机出风口回风口外总测点")
	beego.Router("/TaskDataContent/SSE_库内除风机出风口回风口特殊位置布点作业口外总测点", &controllers.TaskDataController{}, "*:A库内除风机出风口回风口特殊位置布点作业口外总测点")
	beego.Router("/TaskDataContent/SSE_车内除风机出风口回风口外总测点", &controllers.TaskDataController{}, "*:A车内除风机出风口回风口外总测点")
	beego.Router("/TaskDataContent/SSE_预冷开始时间", &controllers.TaskDataController{}, "*:A预冷开始时间")
	beego.Router("/TaskDataContent/SSE_预冷结束时间", &controllers.TaskDataController{}, "*:A预冷结束时间")
	beego.Router("/TaskDataContent/SSE_现场测试结束时间", &controllers.TaskDataController{}, "*:A现场测试结束时间")

}
